/*
 *  TOPPERS/JSP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Just Standard Profile Kernel
 * 
 *  Copyright (C) 2000-2004 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 *  Copyright (C) 2001-2004 by Dep. of Computer Science and Engineering
 *                   Tomakomai National College of Technology, JAPAN
 *
 *  嵭Ԥϡʲ (1)(4) ξ狼Free Software Foundation 
 *  ˤäƸɽƤ GNU General Public License  Version 2 ˵
 *  ҤƤ˸¤ꡤܥեȥܥեȥ
 *  ѤΤޤࡥʲƱˤѡʣѡۡʰʲ
 *  ѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơŬѲǽ
 *  ޤơʤݾڤԤʤޤܥեȥѤˤľ
 *  ŪޤϴŪʤ»˴ؤƤ⡤Ǥʤ
 * 
 *  @(#) $Id: $
 */

#ifndef _NSERV_H_
#define _NSERV_H_

#include <t_services.h>

/* 
 *  лץ
 */

/*
 *  TCP Хåե
 */

#define TCP_ECHO_CLI_CEP_SBUF_SIZE	(1024*2)
#define TCP_ECHO_CLI_CEP_RBUF_SIZE	(1024*2)

#define TCP_ECHO_SRV_CEP_SBUF_SIZE	(1024*2)
#define TCP_ECHO_SRV_CEP_RBUF_SIZE	(1024*2)

#define TCP_DISCARD_CLI_CEP_SBUF_SIZE	(1024*2)
#define TCP_DISCARD_CLI_CEP_RBUF_SIZE	(32)

#define TCP_DISCARD_SRV_CEP_SBUF_SIZE	(32)
#define TCP_DISCARD_SRV_CEP_RBUF_SIZE	(1024*2)

#define WWW_SRV_CEP_SBUF_SIZE		(1024*2)
#define WWW_SRV_CEP_RBUF_SIZE		(1024)

/*
 *  
 */

#if !(defined(USE_TCP_ECHO_SRV1) && !defined(USE_TCP_NON_BLOCKING) && defined(USE_COPYSAVE_API))

#undef  NUM_TCP_ECHO_SRV_TASKS
#define NUM_TCP_ECHO_SRV_TASKS		1

#endif	/* of #if !(defined(USE_TCP_ECHO_SRV1) && !defined(USE_TCP_NON_BLOCKING) && defined(USE_COPYSAVE_API)) */

#ifndef _MACRO_ONLY

/*
 *  TCP Хåե
 */

extern UB tcp_echo_cli_cep_sbuf[];
extern UB tcp_echo_cli_cep_rbuf[];

extern UB tcp_echo_srv_cep_sbuf[NUM_TCP_ECHO_SRV_TASKS][TCP_ECHO_SRV_CEP_SBUF_SIZE];
extern UB tcp_echo_srv_cep_rbuf[NUM_TCP_ECHO_SRV_TASKS][TCP_ECHO_SRV_CEP_RBUF_SIZE];

extern UB tcp_discard_cli_cep_sbuf[];
extern UB tcp_discard_cli_cep_rbuf[];

extern UB tcp_discard_srv_cep_sbuf[];
extern UB tcp_discard_srv_cep_rbuf[];

extern UB www_srv_cep_sbuf[NUM_WWW_SRV_TASKS][WWW_SRV_CEP_SBUF_SIZE];
extern UB www_srv_cep_rbuf[NUM_WWW_SRV_TASKS][WWW_SRV_CEP_RBUF_SIZE];

#endif	/* of #ifndef _MACRO_ONLY */

#endif	/* of #ifndef _NSERV_H_ */
